package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxChargeQuantityService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.model.HxChargeQuantity;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/6 0006 下午 13:54
 */
@RestController
@RequestMapping("/hx/chargeQuantity")
@Api(tags = "红峡装药量管理")
public class HxChargeQuantityController {

    @Autowired
    private HxChargeQuantityService hxChargeQuantityService;

    //@PreAuthorize("hasAuthority('hx:chargeQuantity:add')")
    @PostMapping
    @ApiOperation(value = "新增红峡装药量")
    public AjaxResult addHxChargeQuantity(@RequestBody HxChargeQuantity hxChargeQuantity) {
        hxChargeQuantityService.addHxChargeQuantity(hxChargeQuantity);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:chargeQuantity:update')")
    @PutMapping
    @ApiOperation(value = "修改红峡装药量")
    public AjaxResult updateHxChargeQuantity(@RequestBody HxChargeQuantity hxChargeQuantity) {
        hxChargeQuantityService.updateHxChargeQuantity(hxChargeQuantity);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:chargeQuantity:list')")
    @GetMapping("/list")
    @ApiOperation(value = "红峡装药量列表")
    public CommonPage list(HxChargeQuantity hxChargeQuantity,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxChargeQuantity> list = hxChargeQuantityService.selectHxChargeQuantityList(hxChargeQuantity);
        return CommonPage.restPage(list);
    }
}
