package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxDangerousPlaceService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxDangerousPlace;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 15:30
 */

@RestController
@RequestMapping("/hx/dangerousPlace")
@Api(tags = "红峡危险场所管理")
public class HxDangerousPlaceController {

    @Autowired
    private HxDangerousPlaceService hxDangerousPlaceService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡危险场所列表")
    public CommonPage list(HxDangerousPlace hxDangerousPlace,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxDangerousPlace> list = hxDangerousPlaceService.selectHxDangerousPlaceList(hxDangerousPlace);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxDangerousPlace> list = ExcelUtil.importExcel(file, HxDangerousPlace.class);
        hxDangerousPlaceService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "危险场所表", "危险场所", HxDangerousPlace.class, "危险场所"));
    }
}
