package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxDangerousSourceService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxDangerousSource;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 16:08
 */
@RestController
@RequestMapping("/hx/dangerousSource")
@Api(tags = "红峡危险源管理")
public class HxDangerousSourceController {

    @Autowired
    private HxDangerousSourceService hxDangerousSourceService;


    @GetMapping("/list")
    @ApiOperation(value = "红峡危险源列表")
    public CommonPage list(HxDangerousSource hxDangerousSource,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxDangerousSource> list = hxDangerousSourceService.selectHxDangerousSourceList(hxDangerousSource);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxDangerousSource> list = ExcelUtil.importExcel(file, HxDangerousSource.class);
        hxDangerousSourceService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "危险源表", "危险源", HxDangerousSource.class, "危险源"));
    }
}
