package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxDangerousWorkService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxDangerousWork;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:44
 */
@RestController
@RequestMapping("/hx/dangerousWork")
@Api(tags = "红峡危险作业管理")
public class HxDangerousWorkController {

    @Autowired
    private HxDangerousWorkService hxDangerousWorkService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡危险作业列表")
    public CommonPage list(HxDangerousWork hxDangerousWork,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxDangerousWork> list = hxDangerousWorkService.selectHxDangerousWorkList(hxDangerousWork);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxDangerousWork> list = ExcelUtil.importExcel(file, HxDangerousWork.class);
        hxDangerousWorkService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "危险作业表", "危险作业", HxDangerousWork.class, "危险作业"));
    }
}
