package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxDictService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.model.HxDict;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/6 0006 上午 10:07
 */
@RestController
@RequestMapping("/hx/dict")
@Api(tags = "红峡字典管理")
public class HxDictController {

    @Autowired
    private HxDictService hxDictService;

    //@PreAuthorize("hasAuthority('hx:dict:list')")
    @GetMapping("/list")
    @ApiOperation(value = "红峡字典列表")
    public CommonPage list(HxDict hxDict,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxDict> list = hxDictService.selectHxDictParentList(hxDict);
        return CommonPage.restPage(list);
    }

    //@PreAuthorize("hasAuthority('hx:dict:add')")
    @PostMapping
    @ApiOperation(value = "新增红峡字典")
    public AjaxResult addHxDictType(@RequestBody HxDict hxDict) {
        hxDictService.addHxDictType(hxDict);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:dict:update')")
    @PutMapping
    @ApiOperation(value = "修改红峡字典")
    public AjaxResult updateHxDictType(@RequestBody HxDict hxDict) {
        hxDictService.updateHxDictType(hxDict);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:dict:delete')")
    @DeleteMapping
    @ApiOperation(value = "删除红峡字典")
    public AjaxResult delHxDictType(@RequestParam(value = "hxDictId") Long hxDictId) {
        hxDictService.delHxDictTypeById(hxDictId);
        return AjaxResult.success();
    }
}
