package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxHiddenDangerService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxHiddenDanger;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:06
 */
@RestController
@RequestMapping("/hx/hiddenDanger")
@Api(tags = "红峡安全隐患管理")
public class HxHiddenDangerController {

    @Autowired
    private HxHiddenDangerService hxHiddenDangerService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡安全隐患列表")
    public CommonPage list(HxHiddenDanger hxHiddenDanger,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxHiddenDanger> list = hxHiddenDangerService.selectHxHiddenDangerList(hxHiddenDanger);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxHiddenDanger> list = ExcelUtil.importExcel(file, HxHiddenDanger.class);
        hxHiddenDangerService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "安全隐患表", "安全隐患", HxHiddenDanger.class, "安全隐患"));
    }

}
