package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxProductionResponsibilityService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxProductionResponsibility;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 上午 9:04
 */
@RestController
@RequestMapping("/hx/productionResponsibility")
@Api(tags = "红峡生产责任令管理")
public class HxProductionResponsibilityController {

    @Autowired
    private HxProductionResponsibilityService hxProductionResponsibilityService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡生产责任令概况列表")
    public CommonPage list(HxProductionResponsibility productionResponsibility,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxProductionResponsibility> list = hxProductionResponsibilityService.selectHxProductionResponsibilityList(productionResponsibility);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxProductionResponsibility> list = ExcelUtil.importExcel(file, HxProductionResponsibility.class);
        hxProductionResponsibilityService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "生产责任令完成概况表", "生产责任令完成概况", HxProductionResponsibility.class, "生产责任令完成概况"));
    }
}
