package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxQualityInspectAnalysisService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxQualityInspectAnalysis;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 11:23
 */

@RestController
@RequestMapping("/hx/qualityInspect")
@Api(tags = "红峡质量检查分析管理")
public class HxQualityInspectAnalysisController {

    @Autowired
    private HxQualityInspectAnalysisService hxQualityInspectAnalysisService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡质量检查分析列表")
    public CommonPage list(HxQualityInspectAnalysis hxQualityInspectAnalysis,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxQualityInspectAnalysis> list = hxQualityInspectAnalysisService.selectHxQualityInspectAnalysisList(hxQualityInspectAnalysis);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxQualityInspectAnalysis> list = ExcelUtil.importExcel(file, HxQualityInspectAnalysis.class);
        hxQualityInspectAnalysisService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "质量检查分析表", "质量检查分析", HxQualityInspectAnalysis.class, "质量检查分析"));
    }
}
