package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxQualityPlanService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxQualityPlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 下午 16:48
 */

@RestController
@RequestMapping("/hx/qualityPlan")
@Api(tags = "红峡质量计划管理")
public class HxQualityPlanController {

    @Autowired
    private HxQualityPlanService hxQualityPlanService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡质量计划列表")
    public CommonPage list(HxQualityPlan hxQualityPlan,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxQualityPlan> list = hxQualityPlanService.selectHxQualityPlanList(hxQualityPlan);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxQualityPlan> list = ExcelUtil.importExcel(file, HxQualityPlan.class);
        hxQualityPlanService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "质量计划表", "质量计划", HxQualityPlan.class, "质量计划"));
    }
}
