package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxQualityProblemService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxQualityProblem;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 下午 15:41
 */
@RestController
@RequestMapping("/hx/qualityProblem")
@Api(tags = "红峡质量问题管理")
public class HxQualityProblemController {

    @Autowired
    private HxQualityProblemService hxQualityProblemService;
    @GetMapping("/list")
    @ApiOperation(value = "红峡质量问题列表")
    public CommonPage list(HxQualityProblem hxQualityProblem,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxQualityProblem> list = hxQualityProblemService.selectHxQualityProblemList(hxQualityProblem);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxQualityProblem> list = ExcelUtil.importExcel(file, HxQualityProblem.class);
        hxQualityProblemService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "质量问题表(维度：1=型号,2=类别,3=部门,填数字)", "质量问题", HxQualityProblem.class, "质量问题"));
    }
}
