package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.*;
import com.ailanyin.common.result.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/9 0009 上午 8:52
 */
@RestController
@RequestMapping("/hx/securityManagement")
@Api(tags = "大图: 安全管理")
public class HxSecurityManagementController {

    @Autowired
    private HxDangerousSourceService dangerousSourceService;
    @Autowired
    private HxDangerousPointService dangerousPointService;
    @Autowired
    private HxDangerousWorkService dangerousWorkService;
    @Autowired
    private HxHiddenDangerService hxHiddenDangerService;
    @Autowired
    private HxDangerousPlaceService hxDangerousPlaceService;

    @GetMapping("/dangerSource")
    @ApiOperation(value = "重点危险源部门分布")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult dangerSource() {
        return AjaxResult.success(dangerousSourceService.getDangerSourceBigPic());
    }

    @GetMapping("/dangerPoint")
    @ApiOperation(value = "重大危险点部门分布")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult dangerPoint() {
        return AjaxResult.success(dangerousPointService.getDangerPointBigPic());
    }

    @GetMapping("/dangerousWork")
    @ApiOperation(value = "危险作业预报 type=1周/=2月")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult dangerousWork(@RequestParam(value = "type") String type) {
        return AjaxResult.success(dangerousWorkService.getDangerousWorkBigPic(type));
    }

    @GetMapping("/hiddenDanger/1")
    @ApiOperation(value = "安全隐患内容列表图 type=1车间/=2总厂")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult hiddenDanger(@RequestParam(value = "type") String type) {
        return AjaxResult.success(hxHiddenDangerService.getHiddenDangerBigPic(type));
    }

    @GetMapping("/hiddenDanger/2")
    @ApiOperation(value = "安全隐患整改情况图")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult hiddenDanger() {
        return AjaxResult.success(hxHiddenDangerService.getWorkshopHiddenDangerBigPic());
    }

    @GetMapping("/dangerousMap")
    @ApiOperation(value = "中间危险点地图")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult dangerousMap() {
        return AjaxResult.success(dangerousPointService.getDangerousMapBigPic());
    }

    @GetMapping("/dangerPlace")
    @ApiOperation(value = "危险作业场所压减")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult dangerPlace() {
        return AjaxResult.success(hxDangerousPlaceService.getDangerPlaceBigPic());
    }
}
