package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxSpcInfoService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxSpcInfo;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:57
 */
@RestController
@RequestMapping("/hx/spcInfo")
@Api(tags = "红峡SPC分析管理")
public class HxSpcInfoController {

    @Autowired
    private HxSpcInfoService hxSpcInfoService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡SPC分析列表")
    public CommonPage list(HxSpcInfo hxSpcInfo,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxSpcInfo> list = hxSpcInfoService.selectHxSpcInfoList(hxSpcInfo);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxSpcInfo> list = ExcelUtil.importExcel(file, HxSpcInfo.class);
        hxSpcInfoService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "SPC分析表", "SPC分析", HxSpcInfo.class, "SPC分析"));
    }
}
