package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxTodayDynamicService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxTodayDynamic;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 上午 11:28
 */
@RestController
@RequestMapping("/hx/todayDynamic")
@Api(tags = "红峡今日动态管理")
public class HxTodayDynamicController {

    @Autowired
    private HxTodayDynamicService hxTodayDynamicService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡今日动态列表")
    public CommonPage list(HxTodayDynamic hxTodayDynamic,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxTodayDynamic> list = hxTodayDynamicService.selectHxTodayDynamicList(hxTodayDynamic);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxTodayDynamic> list = ExcelUtil.importExcel(file, HxTodayDynamic.class);
        hxTodayDynamicService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "今日动态表", "今日动态", HxTodayDynamic.class, "今日动态"));
    }
}
