package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxVideoSystemService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxVideoSystem;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:10
 */
@RestController
@RequestMapping("/hx/videoSystem")
@Api(tags = "红峡视频检验系统实况管理")
public class HxVideoSystemController {

    @Autowired
    private HxVideoSystemService hxVideoSystemService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡视频检验系统实况列表")
    public CommonPage list(HxVideoSystem hxVideoSystem,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxVideoSystem> list = hxVideoSystemService.selectHxVideoSystemList(hxVideoSystem);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxVideoSystem> list = ExcelUtil.importExcel(file, HxVideoSystem.class);
        hxVideoSystemService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "视频检验系统实况表", "视频检验系统实况", HxVideoSystem.class, "视频检验系统实况"));
    }
}
