package com.ailanyin.admin.service;

import com.ailanyin.model.SysDictData;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/15 0015 下午 17:03
 */
public interface SysDictDataService {

    /**
     * 获取字典列表
     *
     * @param dictData dictData
     * @return List<SysDictData>
     */
    List<SysDictData> selectDictDataList(SysDictData dictData);

    /**
     * 根据字典数据ID查询信息
     *
     * @param dictCode id
     * @return 详情
     */
    SysDictData selectDictDataById(Long dictCode);

    /**
     * 新增字典
     *
     * @param dict dict
     */
    void addDictData(SysDictData dict);

    /**
     * 批量删除字典数据信息
     *
     * @param dictCodes 需要删除的字典数据ID
     */
    void deleteDictDataByIds(Long[] dictCodes);

    /**
     * 修改保存字典数据信息
     *
     * @param dictData 字典数据信息
     */
    void updateDictData(SysDictData dictData);
}
