package com.ailanyin.admin.service;

import com.ailanyin.admin.vo.LoginBodyVo;
import com.ailanyin.common.result.AjaxResult;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/15 0015 下午 15:55
 */
public interface SysLoginService {

    /**
     * 登录接口
     *
     * @param username 账号
     * @param password 密码
     * @param code 验证码
     * @param uuid 验证码的随机码
     * @return token
     */
    AjaxResult login(String username, String password, String code, String uuid);

    /**
     * 生成图片验证码
     *
     * @return uuid + base64
     */
    AjaxResult getCaptchaImage();

    /**
     * 用户注册
     *
     * @param register register
     */
    void register(LoginBodyVo register);
}
