package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxSpcInfoService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxSpcInfoMapper;
import com.ailanyin.model.HxSpcInfo;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:58
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HxSpcInfoServiceImpl implements HxSpcInfoService {

    @Resource
    private HxSpcInfoMapper hxSpcInfoMapper;

    @Override
    public List<HxSpcInfo> selectHxSpcInfoList(HxSpcInfo hxSpcInfo) {
        return hxSpcInfoMapper.selectHxSpcInfoList(hxSpcInfo);
    }

    @Override
    public void importData(List<HxSpcInfo> list) {
        list.forEach(hxSpcInfo -> {
            if (EmptyUtil.isNotEmpty(hxSpcInfo.getSpcName())) {
                hxSpcInfoMapper.insertSelective(hxSpcInfo);
            }
        });
    }
}
