package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxVideoSystemService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxVideoSystemMapper;
import com.ailanyin.model.HxVideoSystem;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:11
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HxVideoSystemServiceImpl implements HxVideoSystemService {

    @Resource
    private HxVideoSystemMapper hxVideoSystemMapper;

    @Override
    public List<HxVideoSystem> selectHxVideoSystemList(HxVideoSystem hxVideoSystem) {
        return hxVideoSystemMapper.selectHxVideoSystemList(hxVideoSystem);
    }

    @Override
    public void importData(List<HxVideoSystem> list) {
        list.forEach(hxVideoSystem -> {
            if (EmptyUtil.isNotEmpty(hxVideoSystem.getVideoName())) {
                hxVideoSystemMapper.insertSelective(hxVideoSystem);
            }
        });
    }
}
