package com.ailanyin.common.constant;

/**
 * 用户常量信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/2 0006 下午 17:56
 */
public class UserConstants {
    /**
     * 平台内系统用户的唯一标志
     */
    public static final String SYS_USER = "SYS_USER";

    /**
     * 正常状态
     */
    public static final String NORMAL = "0";

    /**
     * 异常状态
     */
    public static final String EXCEPTION = "1";

    /**
     * 用户封禁状态
     */
    public static final String USER_DISABLE = "1";

    /**
     * 角色封禁状态
     */
    public static final String ROLE_DISABLE = "1";

    /**
     * 部门正常状态
     */
    public static final String DEPT_NORMAL = "0";

    /**
     * 部门停用状态
     */
    public static final String DEPT_DISABLE = "1";

    /**
     * 字典正常状态
     */
    public static final String DICT_NORMAL = "0";

    /**
     * 是否为系统默认（是）
     */
    public static final String YES = "Y";

    /**
     * 是否菜单外链（是）
     */
    public static final String YES_FRAME = "0";

    /**
     * 是否菜单外链（否）
     */
    public static final String NO_FRAME = "1";

    /**
     * 菜单类型（目录）
     */
    public static final String TYPE_DIR = "M";

    /**
     * 菜单类型（菜单）
     */
    public static final String TYPE_MENU = "C";

    /**
     * 菜单类型（按钮）
     */
    public static final String TYPE_BUTTON = "F";

    /**
     * Layout组件标识
     */
    public final static String LAYOUT = "Layout";

    /**
     * ParentView组件标识
     */
    public final static String PARENT_VIEW = "ParentView";

    /**
     * InnerLink组件标识
     */
    public final static String INNER_LINK = "InnerLink";

    /**
     * 校验返回结果码
     */
    public final static String UNIQUE = "0";
    public final static String NOT_UNIQUE = "1";

    /**
     * 用户名长度限制
     */
    public static final int USERNAME_MIN_LENGTH = 2;
    public static final int USERNAME_MAX_LENGTH = 20;

    /**
     * 密码长度限制
     */
    public static final int PASSWORD_MIN_LENGTH = 5;
    public static final int PASSWORD_MAX_LENGTH = 20;

    /**
     * 登录相关
     */
    public static final int MAX_ERROR_COUNT = 5;
    public static final String HAS_BEEN_PULLED_BLACK = "您的IP已经被系统拉黑";
    public static final String BLACKLIST_KEY = ":login:blacklist";
    public static final String LOGIN_ERROR_COUNT = ":login:errorCount:";
    public static final String BLACKLIST_ON = "true";
    public static final String BLACKLIST_ON_OFF_KEY = ":sys:config:sys.account.blacklistOnOff";
    public static final String CAPTCHA_KEY = ":login:captcha:";
    public static final String CAPTCHA_ON_OFF_KEY = ":sys:config:sys.account.captchaOnOff";
    public static final String CAPTCHA_ON = "true";
    public static final String REGISTER_ON_OFF_KEY = ":sys:config:sys.account.registerUser";
    public static final String REGISTER_ON = "true";
}
