package com.ailanyin.common.utils;

import java.util.List;

/**
 * 判空工具类
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/2 0002 下午 13:30
 */
public class EmptyUtil {

    /**
     * 对字符串进行判空
     *
     * @param str 字符串
     * @return true or false
     */
    public static boolean isEmpty(String str) {
        return str == null || "".equals(str.trim());
    }

    /**
     * 对对象进行判空
     *
     * @param obj 对象
     * @return true or false
     */
    public static boolean isEmpty(Object obj) {
        return obj == null;
    }

    /**
     * 对象非空
     *
     * @param obj 对象
     * @return true or false
     */
    public static boolean isNotEmpty(Object obj) {
        return !isEmpty(obj);
    }

    /**
     * 字符串非空
     *
     * @param str 对象
     * @return true or false
     */
    public static boolean isNotEmpty(String str) {
        return !isEmpty(str);
    }

    /**
     * 对List集合进行判空  int[] array
     *
     * @param objectList 集合
     * @return true or false
     */
    public static boolean isEmpty(List<Object> objectList) {
        return objectList == null || objectList.size() == 0;
    }

    /**
     * 对一维数组进行判空
     *
     * @param objectArray 一维数组
     * @return true or false
     */
    public static boolean isEmpty(Object[] objectArray) {
        return objectArray == null || objectArray.length == 0;
    }
}
