package com.ailanyin.mapper;

import com.ailanyin.model.HxChargeQuantity;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/6 0006 下午 14:14
 */
public interface HxChargeQuantityMapper {

    /**
     * 新增装药量
     *
     * @param hxChargeQuantity 装药量
     */
    void addHxChargeQuantity(HxChargeQuantity hxChargeQuantity);

    /**
     * 检查某月是否已经录入
     *
     * @param month 月份
     * @return 数量
     */
    int checkMonthIsExist(String month);

    /**
     * 修改装药量
     *
     * @param hxChargeQuantity 装药量
     */
    void updateHxChargeQuantity(HxChargeQuantity hxChargeQuantity);

    /**
     * 获取装药量列表
     *
     * @param hxChargeQuantity hxChargeQuantity
     * @return list
     */
    List<HxChargeQuantity> selectHxChargeQuantityList(HxChargeQuantity hxChargeQuantity);

}
