package com.ailanyin.mapper;

import com.ailanyin.model.HxDangerousPoint;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 15:45
 */
public interface HxDangerousPointMapper {

    /**
     * 查询危险点列表
     *
     * @param hxDangerousPoint hxDangerousPoint
     * @return list
     */
    List<HxDangerousPoint> selectHxDangerousPointList(HxDangerousPoint hxDangerousPoint);

    /**
     * 新增
     *
     * @param hxDangerousPoint hxDangerousPoint
     */
    void insertSelective(HxDangerousPoint hxDangerousPoint);

    /**
     * 根据部门名称统计所有等级数量
     *
     * @param dept               部门名称
     * @param pointLevelParentId pointLevelParentId
     * @return map
     */
    List<Map> selectAllLevelNumByDept(@Param("dept") String dept, @Param("pointLevelParentId") String pointLevelParentId);
}
