package com.ailanyin.mapper;

import com.ailanyin.model.HxDangerousSource;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 16:11
 */
public interface HxDangerousSourceMapper {
    /**
     * 查询危险源列表
     *
     * @param hxDangerousSource hxDangerousSource
     * @return list
     */
    List<HxDangerousSource> selectHxDangerousSourceList(HxDangerousSource hxDangerousSource);

    /**
     * 新增
     *
     * @param hxDangerousSource hxDangerousSource
     */
    void insertSelective(HxDangerousSource hxDangerousSource);

    /**
     * 根据部门名称统计所有等级数量
     *
     * @param dept 部门名称
     * @param sourceLevelParentId sourceLevelParentId
     * @return map
     */
    List<Map> selectAllLevelNumByDept(@Param("dept") String dept, @Param("sourceLevelParentId") String sourceLevelParentId);
}
