package com.ailanyin.mapper;

import com.ailanyin.model.HxDict;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/6 0006 上午 10:15
 */
public interface HxDictMapper {

    /**
     * 获取红峡父节点列表
     *
     * @param hxDict 查询条件
     * @return list
     */
    List<HxDict> selectHxDictParentList(HxDict hxDict);

    /**
     * 添加红峡字典
     *
     * @param hxDict hxDict
     */
    void addHxDictType(HxDict hxDict);

    /**
     * 检查是否存在相同名称
     *
     * @param hxDict hxDict
     * @return 数量
     */
    int checkNameIsExist(HxDict hxDict);

    /**
     * 删除红峡字典
     *
     * @param hxDictId id
     */
    void delHxDictTypeById(Long hxDictId);

    /**
     * 修改红峡字典
     *
     * @param hxDict hxDict
     */
    void updateHxDictType(HxDict hxDict);

    /**
     * 检查是否存在子标签
     *
     * @param hxDictId id
     * @return 数量
     */
    int checkDictHasChild(Long hxDictId);

    /**
     * 根据父id查询所有的子id名称
     *
     * @param deptParentId 父id
     * @return 子id名称 list
     */
    List<String> selectNameListByParentId(String deptParentId);
}
