package com.ailanyin.mapper;

import com.ailanyin.model.HxHiddenDanger;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:06
 */
public interface HxHiddenDangerMapper {

    /**
     * 查询安全隐患列表
     *
     * @param hxHiddenDanger hxHiddenDanger
     * @return list
     */
    List<HxHiddenDanger> selectHxHiddenDangerList(HxHiddenDanger hxHiddenDanger);

    /**
     * 新增
     *
     * @param hxHiddenDanger hxHiddenDanger
     */
    void insertSelective(HxHiddenDanger hxHiddenDanger);

    /**
     * 获取所有的存在的类别以及数量
     *
     * @param year 年份
     * @return list
     */
    List<Map> getAllCategoryAndCount(Integer year);

    /**
     * 根据年和整改情况查询个数
     *
     * @param alreadyUpdate alreadyUpdate
     * @param year          year
     * @return count
     */
    Long getCountByMeasures(@Param("alreadyUpdate") String alreadyUpdate, @Param("year") Integer year);

    /**
     * 获取所有车间
     *
     * @return list
     */
    List<String> getAllWorkshopList();

    /**
     * 获取已整改 和 所有
     * @param workshop 车间
     * @param alreadyUpdate 已整改
     * @return map
     */
    Map selectWorkShopDangerCount(@Param("workshop") String workshop, @Param("alreadyUpdate") String alreadyUpdate);
}
