package com.ailanyin.mapper;

import com.ailanyin.model.HxProductCompletionOverview;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/7 0007 上午 10:27
 */
public interface HxProductCompletionOverviewMapper {

    /**
     * 红峡交付产品完成概况列表
     *
     * @param completionOverview 查询条件
     * @return list
     */
    List<HxProductCompletionOverview> selectHxProductCompletionOverviewList(HxProductCompletionOverview completionOverview);

    /**
     * 检查某产品完成率是否已经存在
     *
     * @param productName 产品名称
     * @param month 月份
     * @return 数量
     */
    int checkProductIsExist(@Param("productName") String productName, @Param("month") String month);

    /**
     * 新增交付产品完成概况
     *
     * @param completionOverview 交付产品完成概况
     */
    void insertSelective(HxProductCompletionOverview completionOverview);

    /**
     * 修改交付产品完成概况
     *
     * @param completionOverview 交付产品完成概况
     */
    void updateByProductNameSelective(HxProductCompletionOverview completionOverview);

    /**
     * 删除红峡交付产品完成概况
     *
     * @param id id
     */
    void delHxProductCompletionOverviewById(Long id);
}
