package com.ailanyin.mapper;

import com.ailanyin.model.HxProductionResponsibility;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 上午 9:06
 */
@Mapper
public interface HxProductionResponsibilityMapper {

    /**
     * 查询责任令列表
     *
     * @param productionResponsibility 条件
     * @return list
     */
    List<HxProductionResponsibility> selectHxProductionResponsibilityList(HxProductionResponsibility productionResponsibility);

    /**
     * 检查某型号某月生产责任令是否已经存在
     *
     * @param translateName 型号名称
     * @param month       月份
     * @return 数量
     */
    int checkProductionIsExist(@Param("translateName") String translateName, @Param("month") String month);

    /**
     * 更新
     *
     * @param productionResponsibility productionResponsibility
     */
    void updateByNameAndMonthSelective(HxProductionResponsibility productionResponsibility);

    /**
     * 新增
     *
     * @param productionResponsibility productionResponsibility
     */
    void insertSelective(HxProductionResponsibility productionResponsibility);
}
