package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 交付产品完成概况
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/7 0007 上午 10:09
 */
@Data
public class HxProductCompletionOverview implements Serializable {


    private Long id;

    @ApiModelProperty(value = "产品型号名称")
    @Excel(name = "产品型号名称", width = 20)
    private String productName;
    @ApiModelProperty(value = "实际交付数量")
    @Excel(name = "实际交付数量", width = 20)
    private String actualDeliveryQuantity;
    @ApiModelProperty(value = "目标交付数量")
    @Excel(name = "目标交付数量", width = 20)
    private String targetDeliveryQuantity;
    @ApiModelProperty(value = "交付完成率")
    @Excel(name = "交付完成率", width = 20)
    private String completionRate;
    @Excel(name = "月份", width = 20)
    private String month;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
