package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * 黑名单
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/11/1 0001 下午 15:05
 */
@Data
public class SysBlacklistUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @Excel(name = "名单编号", width = 25)
    private String id;
    @ApiModelProperty(value = "IP地址")
    @Excel(name = "IP地址", width = 20)
    private String ip;
    @ApiModelProperty(value = "具体位置")
    @Excel(name = "具体位置", width = 30)
    private String address;
    @ApiModelProperty(value = "拉黑原因")
    @Excel(name = "拉黑原因", width = 25)
    private String reason;
    @ApiModelProperty(value = "拉黑时间")
    @Excel(name = "拉黑时间", format = "yyyy-MM-dd HH:mm:ss", width = 25)
    private Date createTime;
    @ApiModelProperty(value = "查询参数")
    private Map<String, Object> params;
}
