package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;


/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/15 0015 上午 10:05
 */
@Data
public class SysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @Excel(name = "日志编号", width = 30)
    private String id;

    @ApiModelProperty(value = "操作描述")
    @Excel(name = "操作描述", width = 30)
    private String description;

    @ApiModelProperty(value = "操作用户")
    @Excel(name = "请求人员")
    private String username;

    @ApiModelProperty(value = "访问时间")
    @Excel(name = "请求时间", format = "yyyy-MM-dd HH:mm:ss", width = 30)
    private Date startTime;

    @ApiModelProperty(value = "执行时间")
    @Excel(name = "请求耗时")
    private Integer spendTime;

    @ApiModelProperty(value = "请求类型")
    @Excel(name = "请求方式")
    private String method;

    @ApiModelProperty(value = "IP地址")
    @Excel(name = "请求地址")
    private String ip;

    @ApiModelProperty(value = "请求路径")
    private String uri;

    @ApiModelProperty(value = "请求参数")
    private String parameter;

    private Map<String, Object> params;
}
