package com.ailanyin.security.handle;

import cn.hutool.json.JSONUtil;
import com.ailanyin.common.result.AjaxResult;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 当访问接口没有权限时，自定义的返回结果
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/21 0021 下午 14:08
 */
@Component
public class NoPermissionResult implements AccessDeniedHandler {
    @Override
    public void handle(HttpServletRequest request,
                       HttpServletResponse response,
                       AccessDeniedException e) throws IOException, ServletException {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json");
        response.getWriter().println(JSONUtil.parse(AjaxResult.error(403,e.getMessage())));
        response.getWriter().flush();
    }
}
