package com.ailanyin.security.handle;

import cn.hutool.json.JSONUtil;
import com.ailanyin.common.result.AjaxResult;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 当未登录或者token失效访问接口时，自定义的返回结果
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/21 0021 下午 14:09
 */
@Component
public class NoTokenResult implements AuthenticationEntryPoint {
    @Override
    public void commence(HttpServletRequest httpServletRequest, HttpServletResponse response, AuthenticationException authException) throws IOException, ServletException {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json");
        response.getWriter().println(JSONUtil.parse(AjaxResult.error(401,"未登录或登录过期")));
        response.getWriter().flush();
    }
}
